Package ch.qos.logback.core.spi

# Enum FilterReply

java.lang.Object
java.lang.Enum<FilterReply>
ch.qos.logback.core.spi.FilterReply

All Implemented Interfaces:
  `Serializable`, `Comparable<FilterReply>`, `java.lang.constant.Constable`

public enum FilterReply extends Enum<FilterReply>
This enum represents the possible replies that a filtering component in logback can return. It is used by implementations of both `Filter` and `TurboFilter` abstract classes. Based on the order that the FilterReply values are declared, FilterReply.ACCEPT.compareTo(FilterReply.DENY) will return a positive value.

Author:
  Sébastien Pennec

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPT`
`DENY`
`NEUTRAL`

## Method Summary

Modifier and Type
Method
Description
`static FilterReply`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FilterReply[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DENY

public static final FilterReply DENY

### NEUTRAL

public static final FilterReply NEUTRAL

### ACCEPT

public static final FilterReply ACCEPT

## Method Details

### values

public static FilterReply[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FilterReply valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null